﻿Imports Microsoft.Phone.Controls
Imports System.Windows.Controls
Imports System.Windows.Navigation

Partial Public Class CocktailsPage
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()
        DataContext = App.ViewModel
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As NavigationEventArgs)
        CocktailsList.SelectedIndex = -1
        CocktailsList.ItemsSource = App.ViewModel.Cocktails
    End Sub

    Private Sub CocktailsList_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
        If CocktailsList.SelectedIndex <> -1 Then
            Dim navigationString As String = String.Format("/CocktailPage.xaml?ID={0}", (CType(CocktailsList.SelectedItem, Cocktail)).ID)
            NavigationService.Navigate(New System.Uri(navigationString, UriKind.Relative))
        End If
    End Sub
End Class
