﻿Imports System.Windows.Controls
Imports Microsoft.Phone.Controls
Imports System.Windows.Navigation

Partial Public Class FactsPage
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()
        DataContext = App.ViewModel
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As NavigationEventArgs)
        FactsList.SelectedIndex = -1
        FactsList.ItemsSource = App.ViewModel.Facts
    End Sub

    Private Sub FactsList_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
        If FactsList.SelectedIndex <> -1 Then
            Dim navigationString As String = String.Format("/FactPage.xaml?ID={0}", (CType(FactsList.SelectedItem, Fact)).ID)
            NavigationService.Navigate(New System.Uri(navigationString, UriKind.Relative))
        End If
    End Sub
End Class
