﻿Partial Public Class RecipesPage
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()
        DataContext = App.ViewModel
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As NavigationEventArgs)
        RecipesList.SelectedIndex = -1
        RecipesList.ItemsSource = App.ViewModel.Recipes
    End Sub

    Private Sub RecipesList_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
        If RecipesList.SelectedIndex <> -1 Then
            Dim navigationString As String = String.Format("/RecipePage.xaml?ID={0}", (CType(RecipesList.SelectedItem, Recipe)).ID)
            NavigationService.Navigate(New System.Uri(navigationString, UriKind.Relative))
        End If
    End Sub
End Class
